Bug 117509 - Gedit breaks linked files
Gedit breaks linked files
Product: Red Hat Linux
Classification: Retired
Component: gedit (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-03-04 15:46 EST by Projeto Peso
Modified: 2006-10-18 13:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-18 13:09:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Projeto Peso 2004-03-04 15:46:08 EST
Description of problem:
When I use Gedit to edit linked files
(linked using the command: "link [sourcefile] [linkname]")
they become as they have never been linked.
For example, using the "vi" editor to edit either the "sourcefile" or 
the "linkname" the modifications are visible on both. But when I use 
the Gedit editor the files are not "updated" (they become different - 
the edited-one saves the modifications and the other doesn´t). If I 
go back and edit the edited file again with the "vi" editor, it 
doesn´t affects the other.
The StarOffice Text Editor does the same as vi, having no problems 
with linked files.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1.Create a simple text file, i.e. textfile.txt;
2.Create a link file by typing : "link textfile.txt linkedfile.txt";
3.Edit textfile.txt with Gedit by clicking the "text editor" button 
at Gnome´s main menu;
4.Open the linkedfile.txt at Gedit;
5.Notice that the modifications done in the first file are not shown 
in the linked-one.
Actual results:
The linked file becomes as it was unlinked after edition by Gedit.

Expected results:
The linked file should contain the same modifications done in 
the "original file"

Additional info:
I´ve rebooted the system in an aim to "flush" any disk cash or buffer 
could lead into file version/update misunderstanding - Didn´t really 
believe it should make any effect because the modifications are 
instantly viewed when done in other text editors as mentioned 
above... but it was just to be shure :-).
I think this is a high severity problem... imagine if you have 
several files linked and they are essencial to your file server or 
any other crucial network device... multiple configurations in 
multiple liked files could cause a big mess...
Comment 1 Ray Strode [halfline] 2005-09-09 15:56:11 EDT
Hi Projeto,

Red Hat Linux 8.0 is now unsupported.  If you can reproduce this problem with a
recent version of RHEL or Fedora Core, feel free to reopen this bug report.
Comment 2 Bill Nottingham 2006-10-18 13:09:01 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.